--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Matches if any <tt>parameter_matchers</tt> match.
- !ruby/struct:SM::Flow::VERB 
  body: "  object = mock()\n  object.expects(:method_1).with(any_of(1, 3))\n  object.method_1(1)\n  # no error raised\n\n  object = mock()\n  object.expects(:method_1).with(any_of(1, 3))\n  object.method_1(3)\n  # no error raised\n\n  object = mock()\n  object.expects(:method_1).with(any_of(1, 3))\n  object.method_1(2)\n  # error raised, because method_1 was not called with 1 or 3\n"
full_name: Mocha::ParameterMatchers#any_of
is_singleton: false
name: any_of
params: " any_of(*parameter_matchers) -> parameter_matcher\n"
visibility: public
